Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7766 - kernel boot panic on Sable (AlphaServer 2100, 2x 21064 CPU)
Summary: kernel boot panic on Sable (AlphaServer 2100, 2x 21064 CPU)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: alpha
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-12 12:37 UTC by paluch
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-10-17 14:01:55 UTC


Attachments (Terms of Use)

Description paluch 1999-12-12 12:37:22 UTC
RedHat 6.0 kernel causes early panic on AlphaServer 2100 (Sable) 4/275
with 2 CPU's 21064, NCR SCSI, 192MB RAM, boot from SRM console.
Symptomps:
original non-smp kernel:
    when aboot finishes kernel load it says 'CPU 0 halted' and stops.
kernel-smp.img from errata:
    lots of panics right after hardware detection.

RedHat 5.2 works fine (2.0.35 kernel - sable-s.img).

Comment 1 paluch 1999-12-13 11:55:59 UTC
Additional HW description of above AlphaServer 2100:

/proc/cpuinfo (there are 2 cpus but non-smp kernel now):
cpu			: Alpha
cpu model		: EV45
cpu variation		: 7
cpu revision		: 0
cpu serial number	:
system type		: Sable
system variation	: 0
system revision		: 0
system serial number	: ay52513521
cycle frequency [Hz]	: 274725274
timer frequency [Hz]	: 1024.00
page size [bytes]	: 8192
phys. address bits	: 34
max. addr. space #	: 63
BogoMIPS		: 545.25
kernel unaligned acc	: (pc=0,va=0)
user unaligned acc	: 0 (pc=0,va=0)
platform string		: AlphaServer 2100 4/275

SCSI controller:
ncr53c8xx: 53c810 detected
ncr53c8xx: at PCI bus 0, device 1, function 0
ncr53c8xx: 53c810 detected
ncr53c810-0: rev=0x01, base=0x9000000, io_port=0x9000, irq=33
ncr53c810-0: ID 7, Fast-10, Parity Checking
ncr53c810-0: restart (scsi reset).
scsi0 : ncr53c8xx - revision 2.6n
scsi : 1 host.
...

Network card:
eth0: DE434/5 at 0x9800 (PCI bus 0, device 0), h/w address 08:00:2b:e4:ac:fc,
      and requires IRQ32 (provided by PCI BIOS).
de4x5.c:V0.5351 1998/7/5 davies@maniac.ultranet.com

Comment 2 Cristian Gafton 2000-01-04 22:27:59 UTC
Assigned to dledford

Comment 3 paluch 2000-10-17 14:01:52 UTC
Seems to be fixed in 2.2.14 and later kernels.
Howerver  kernel option 'PCI Quirks = Yes' needed to detect SCSI in such SMP
kernels (tested
2.2.14 and 2.2.16)


Comment 4 Phil Copeland 2001-06-04 15:20:35 UTC
I assume that you're now using 6.2/7.0 by now and this is no longer a problem




Note You need to log in before you can comment on or make changes to this bug.